"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.detailRouter = void 0;
const express_1 = require("express");
const errors_1 = require("../utils/errors");
const detail_record_1 = require("../records/detail.record");
const DOMPurify = require('isomorphic-dompurify');
exports.detailRouter = (0, express_1.Router)()
    .get('/details', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const details = yield detail_record_1.DetailRecord.findAll();
    res.json(details);
}))
    .get('/details/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const detail = yield detail_record_1.DetailRecord.getOne(req.params.id);
    res.json(detail);
}))
    .put('/details/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const detail = yield detail_record_1.DetailRecord.getOne(req.params.id);
    if (detail === null) {
        throw new errors_1.ValidationError('Nie znaleziono takiej informacji.');
    }
    detail.length = DOMPurify.sanitize(req.body.length);
    detail.frequency = DOMPurify.sanitize(req.body.frequency);
    detail.schedule = DOMPurify.sanitize(req.body.schedule);
    yield detail.update();
    res.json(detail);
}));
//# sourceMappingURL=detail.router.js.map