"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const detail_record_1 = require("../../records/detail.record");
const defaultObj = {
    length: 'Test Length',
    frequency: 'abc',
    schedule: 'def',
};
test('Can build DetailRecord', () => {
    const detail = new detail_record_1.DetailRecord(defaultObj);
    expect(detail.length).toBe('Test Length');
    expect(detail.frequency).toBe('abc');
    expect(detail.schedule).toBe('def');
});
test('Validates invalid length of length - too long.', () => {
    expect(() => new detail_record_1.DetailRecord(Object.assign(Object.assign({}, defaultObj), { length: 'ccccccccccccccccccccccccccccccccccccccccccc' }))).toThrow('Należy podać długość cyklu - max. 34 znaki.');
});
test('Validates invalid length of frequency - too long.', () => {
    expect(() => new detail_record_1.DetailRecord(Object.assign(Object.assign({}, defaultObj), { frequency: 'cccccccccccccccccccccccccccccccccccccccccc' }))).toThrow('Należy podać częstotliwość treningów o długości max. 34 znaków.');
});
//# sourceMappingURL=detail-record.test.js.map