"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db_1 = require("../../utils/db");
const rule_record_1 = require("../../records/rule.record");
const defaultObj = {
    rule: 'Przez pierwsze dwa tygodnie planu wykonujesz JEDNĄ SERIĘ MNIEJ w każdym ćwiczeniu',
};
afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
    yield db_1.pool.end();
}));
test('RuleRecord.getOne returns data from database for one entry.', () => __awaiter(void 0, void 0, void 0, function* () {
    const part = yield rule_record_1.RuleRecord.getOne('6a21b784-c2de-44a5-b405-a61584facbb0');
    expect(part).toBeDefined();
    expect(part.id).toBe('6a21b784-c2de-44a5-b405-a61584facbb0');
    expect(part.rule).toBe('Przez pierwsze dwa tygodnie planu wykonujesz JEDNĄ SERIĘ MNIEJ w każdym ćwiczeniu');
}));
test('RuleRecord.getOne returns null from database for unexisting entry.', () => __awaiter(void 0, void 0, void 0, function* () {
    const rule = yield rule_record_1.RuleRecord.getOne('---');
    expect(rule).toBeNull();
}));
test('PartOfPlanRecord.findAll returns array of found entries.', () => __awaiter(void 0, void 0, void 0, function* () {
    const parts = yield rule_record_1.RuleRecord.findAll();
    expect(parts).not.toEqual([]);
    expect(parts[0].id).toBeDefined();
}));
test('RuleRecord.insert returns new UUID.', () => __awaiter(void 0, void 0, void 0, function* () {
    const rule = new rule_record_1.RuleRecord(defaultObj);
    yield rule.insert();
    expect(rule.id).toBeDefined();
    expect(typeof rule.id).toBe('string');
}));
test('RuleRecord.insert inserts data to database', () => __awaiter(void 0, void 0, void 0, function* () {
    const rule = new rule_record_1.RuleRecord(defaultObj);
    yield rule.insert();
    const foundRule = yield rule_record_1.RuleRecord.getOne(rule.id);
    expect(foundRule).toBeDefined();
    expect(foundRule).not.toBeNull();
    expect(foundRule.id).toBe(rule.id);
}));
//# sourceMappingURL=rule.test.js.map