"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ruleRouter = void 0;
const express_1 = require("express");
const rule_record_1 = require("../records/rule.record");
const errors_1 = require("../utils/errors");
exports.ruleRouter = (0, express_1.Router)()
    .get('/rules', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const rule = yield rule_record_1.RuleRecord.findAll();
    res.json(rule);
}))
    .get('/rules/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const rule = yield rule_record_1.RuleRecord.getOne(req.params.id);
    res.json(rule);
}))
    .post('/rules', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const rule = new rule_record_1.RuleRecord(req.body);
    yield rule.insert();
    res.json(rule);
}))
    .delete('/rules/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const rule = yield rule_record_1.RuleRecord.getOne(req.params.id);
    if (!rule) {
        throw new errors_1.ValidationError('Nie znaleziono takiej zasady.');
    }
    yield rule.delete();
    res.end();
}))
    .put('/rules/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const rule = yield rule_record_1.RuleRecord.getOne(req.params.id);
    if (rule === null) {
        throw new errors_1.ValidationError('Nie znaleziono takiej zasady.');
    }
    rule.rule = req.body.rule;
    yield rule.update();
    res.json(rule);
}));
//# sourceMappingURL=rule.router.js.map