"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db_1 = require("../../utils/db");
const detail_record_1 = require("../../records/detail.record");
afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
    yield db_1.pool.end();
}));
test('DetailRecord.getOne returns data from database for one entry.', () => __awaiter(void 0, void 0, void 0, function* () {
    const detail = yield detail_record_1.DetailRecord.getOne('6661a782-d5a7-11ed-a268-50ebf62b4c87');
    expect(detail).toBeDefined();
    expect(detail.id).toBe('6661a782-d5a7-11ed-a268-50ebf62b4c87');
    expect(detail.length).toBe('6 – 8 tygodni');
}));
test('DetailRecord.getOne returns null from database for unexisting entry.', () => __awaiter(void 0, void 0, void 0, function* () {
    const detail = yield detail_record_1.DetailRecord.getOne('---');
    expect(detail).toBeNull();
}));
test('DetailRecord.findAll returns array of found entries.', () => __awaiter(void 0, void 0, void 0, function* () {
    const details = yield detail_record_1.DetailRecord.findAll();
    expect(details).not.toEqual([]);
    expect(details[0].id).toBeDefined();
}));
//# sourceMappingURL=detail.test.js.map