"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const part_of_plan_record_1 = require("../../records/part-of-plan.record");
const db_1 = require("../../utils/db");
const defaultObj = {
    name: 'Trening A',
    slug: 'trening-a',
};
afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
    yield db_1.pool.end();
}));
test('PartOfPlanRecord.getOne returns data from database for one entry.', () => __awaiter(void 0, void 0, void 0, function* () {
    const part = yield part_of_plan_record_1.PartOfPlanRecord.getOne('7ba0ef7b-7044-4b03-943a-27483a32156e');
    expect(part).toBeDefined();
    expect(part.id).toBe('7ba0ef7b-7044-4b03-943a-27483a32156e');
    expect(part.name).toBe('Trening A');
}));
test('PartOfPlanRecord.getOne returns null from database for unexisting entry.', () => __awaiter(void 0, void 0, void 0, function* () {
    const part = yield part_of_plan_record_1.PartOfPlanRecord.getOne('---');
    expect(part).toBeNull();
}));
test('PartOfPlanRecord.findAll returns array of found entries.', () => __awaiter(void 0, void 0, void 0, function* () {
    const parts = yield part_of_plan_record_1.PartOfPlanRecord.findAll();
    expect(parts).not.toEqual([]);
    expect(parts[0].id).toBeDefined();
}));
test('PartOfPlanRecord.findAllWithSlug returns array of found entries with slug from req.query.', () => __awaiter(void 0, void 0, void 0, function* () {
    const parts = yield part_of_plan_record_1.PartOfPlanRecord.findAllWithSlug(defaultObj.slug);
    expect(parts).not.toEqual([]);
    expect(parts[0].id).toBeDefined();
}));
test('PartOfPlanRecord.findAllWithSlug returns empty array when searching for something that does not exists.', () => __awaiter(void 0, void 0, void 0, function* () {
    const parts = yield part_of_plan_record_1.PartOfPlanRecord.findAllWithSlug('---------------------------------------');
    expect(parts).toEqual([]);
}));
//# sourceMappingURL=part-of-plan.test.js.map